com.rscja.deviceapi.interfaces

## Interface IZebra2DSoftDecoder

-     public interface IZebra2DSoftDecoder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `fWUpdate(java.lang.String FilePath, boolean forceDownload, boolean IgnoreSignature)`
    `void` | `getLastDecImage(BarcodeDecoder.IBarcodeImageCallback decodeImageCallback)`
    `int` | `getNumParameter(int paramNum)`
    `java.lang.String` | `getStrParameter(int paramNum)`
    `java.lang.String` | `getStrProperty(int propNum)`
    `boolean` | `isOpen()`
    `boolean` | `open(Context context)`
    `void` | `setBackgroundThreadCallback(boolean isBackgroundThreadCallback)`
    `void` | `setDecodeCallback(BarcodeDecoder.DecodeCallback scanCallbackListener)`
    `boolean` | `setParameter(int paramNum, int paramVal)`
    `boolean` | `setParameter(int paramNum, java.lang.String paramVal)`
    `void` | `setTimeOut(int timeOut)`
    `boolean` | `startHandsFree()`
    `boolean` | `startScan()`
    `boolean` | `stopHandsFree()`
    `void` | `stopScan()`

- - ### Method Detail

    - #### open

          boolean open(Context context)

    - #### close

          void close()

    - #### startScan

          boolean startScan()

    - #### stopScan

          void stopScan()

    - #### setDecodeCallback

          void setDecodeCallback(BarcodeDecoder.DecodeCallback scanCallbackListener)

    - #### setParameter

          boolean setParameter(int paramNum,
                               int paramVal)

    - #### setParameter

          boolean setParameter(int paramNum,
                               java.lang.String paramVal)

    - #### getNumParameter

          int getNumParameter(int paramNum)

    - #### getStrParameter

          java.lang.String getStrParameter(int paramNum)

    - #### startHandsFree

          boolean startHandsFree()

    - #### stopHandsFree

          boolean stopHandsFree()

    - #### getStrProperty

          java.lang.String getStrProperty(int propNum)

    - #### fWUpdate

          int fWUpdate(java.lang.String FilePath,
                       boolean forceDownload,
                       boolean IgnoreSignature)

    - #### setTimeOut

          void setTimeOut(int timeOut)

    - #### getLastDecImage

          void getLastDecImage(BarcodeDecoder.IBarcodeImageCallback decodeImageCallback)

    - #### isOpen

          boolean isOpen()

    - #### setBackgroundThreadCallback

          void setBackgroundThreadCallback(boolean isBackgroundThreadCallback)